<template>
  <v-app id="ibb">
    <AppBar @toggle-left="leftOpen = !leftOpen" />
    <LeftNavigator v-model="leftOpen" />
    <RightNavigator />
    <Snackbar />
    <v-main>
      <!-- <LoadingOverlay /> -->
      <!-- The keepalive version below should be used but buggy at the moment -->
      <!-- <NuxtPage :keepalive="{}" /> -->
      <slot />
    </v-main>
  </v-app>
</template>

<script setup lang="ts">
const leftOpen = ref<boolean | null>(null);
</script>
<!-- 
<style>
.page-enter-active,
.page-leave-active {
  transition: all 0.2s;
}
.page-enter-from,
.page-leave-to {
  opacity: 0;
  filter: blur(1rem);
}
</style> -->
